Bug 64955 - kernel upgrade loses mouse/keyboard
Summary: kernel upgrade loses mouse/keyboard
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-15 00:55 UTC by Need Real Name
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output from working kernel boot (5.93 KB, text/plain)
2002-05-15 00:56 UTC, Need Real Name
no flags Details
dmesg output from non-working kernel boot (5.93 KB, text/plain)
2002-05-15 00:57 UTC, Need Real Name
no flags Details
Patch from working to non-working dmesg (3.09 KB, patch)
2002-05-16 18:52 UTC, Michael K. Johnson
no flags Details | Diff

Description Need Real Name 2002-05-15 00:55:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10)

Description of problem:
After upgrading from 2.4.18-3 to 2.4.18-4 when the machine boots kudzu reports that my mouse has been removed from the system. 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install kernel-2.4.18-3
2.boot your mouse will be there
3.install kernel-2.4.18-4
4.boot kudzu will report that the mouse is gone
 

Additional info:

I am attaching two dmesg outputs one is the 2.4.18-3 dmesg output 
the next is the 2.4.18-4 output.

Comment 1 Need Real Name 2002-05-15 00:56:57 UTC
Created attachment 57346 [details]
dmesg output from working kernel boot

Comment 2 Need Real Name 2002-05-15 00:57:46 UTC
Created attachment 57347 [details]
dmesg output from non-working kernel boot

Comment 3 Michael K. Johnson 2002-05-16 18:52:02 UTC
Created attachment 57624 [details]
Patch from working to non-working dmesg

Comment 4 Michael K. Johnson 2002-05-16 18:59:33 UTC
We didn't change anything in this area between the two kernels, and
I have seen no other reports of this behavior.

Have you determined that downgrading to 2.4.18-3 gives you your
mouse back?

Comment 5 Need Real Name 2002-05-16 20:08:42 UTC
Yes I can reboot into the 2.4.18-3 kernel and everything works fine.

Comment 6 Michael K. Johnson 2002-05-17 18:20:34 UTC
Because you have a uniprocessor system, you will not be affected by
the ext3 bug fixed in 2.4.18-4, so 2.4.18-3 is a reasonable workaround
for you until the problem is fixed.

Comment 7 Arjan van de Ven 2002-05-20 19:11:17 UTC
Ok; can you track which exact kernel you used for 2.4.18-4 ?
(I mean the i386, i586, i686 or athlon version ?)

Comment 8 Need Real Name 2002-05-20 20:34:58 UTC
The kernel-2.4.18-4 that I installed was i386. 
 


Comment 9 Bugzilla owner 2004-09-30 15:39:34 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.